<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="jp.sourceforge.jeextension.jspc"
   name="Eclipse JSPC Plug-in"
   version="1.0.1"
   provider-name="Eclipse Extension Plug-in Project"
   class="jp.sourceforge.jeextension.jspc.EclipseJspCPlugin">

   <runtime>
      <library name="eclipse-jspc.jar"/>
      <library name="lib/jasper-compiler.jar"/>
      <library name="lib/jasper-runtime.jar"/>
      <library name="lib/jsp-api.jar"/>
      <library name="lib/servlet-api.jar"/>
      <library name="lib/ant.jar"/>
      <library name="lib/commons-el.jar"/>
      <library name="lib/commons-logging-api.jar"/>
      <library name="lib/xercesImpl.jar"/>
      <library name="lib/xmlParserAPIs.jar"/>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.jdt.ui"/>
      <import plugin="org.eclipse.jdt.core"/>
      <import plugin="org.eclipse.jdt.launching"/>
   </requires>


   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.core.resources.IFolder"
            adaptable="true"
            id="jp.sourceforge.jeextension.jspc.contribution1">
         <filter
               name="projectNature"
               value="org.eclipse.jdt.core.javanature">
         </filter>
         <menu
               label="Eclipse JSPC"
               path="additions"
               id="jp.sourceforge.jeextension.jspc.menu1">
            <separator
                  name="group1">
            </separator>
         </menu>
         <action
               label="%label.compile"
               class="jp.sourceforge.jeextension.jspc.popup.actions.JspCAction"
               menubarPath="jp.sourceforge.jeextension.jspc.menu1/group1"
               id="jp.sourceforge.jeextension.jspc.newAction">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.core.resources.IProject"
            adaptable="true"
            id="jp.sourceforge.jeextension.jspc.contribution2">
         <filter
               name="projectNature"
               value="org.eclipse.jdt.core.javanature">
         </filter>
         <menu
               label="Eclipse JSPC"
               path="additions"
               id="jp.sourceforge.jeextension.jspc.menu1">
            <separator
                  name="group1">
            </separator>
         </menu>
         <action
               label="%label.compile"
               class="jp.sourceforge.jeextension.jspc.popup.actions.JspCAction"
               menubarPath="jp.sourceforge.jeextension.jspc.menu1/group1"
               id="jp.sourceforge.jeextension.jspc.newAction">
         </action>
      </objectContribution>
   </extension>

</plugin>
